module Main where

import Criterion.Main
import Data.Text.WordCount

main = do
    defaultMain [ env ulysses $ \file ->
                  bgroup "ulysses all"
                      [ bench "226" $ whnf (fun 10000000) file ]
                , env beowulf $ \file ->
                  bgroup "beowulf all"
                      [ bench "226" $ whnf (fun 10000000) file ] ]
    where fun      = topN
          ulysses = processFile "test/ulysses.txt"
          beowulf = processFile "test/beowulf.txt"

